<div class="vispa-workspace">

  <!-- loader -->
  <div class="vispa-table-outer vispa-modal" style="display:none;" id="workspace-modal">
    <div class="vispa-table-inner text-center">
      <img data-bind="loader-img" />
    </div>
  </div>
  <!-- end loader -->

  <!-- messages -->
  <div class="vispa-workspace-messages" id="workspace-messages"></div>
  <!-- end messages -->

  <div class="vispa-workspace-extensions" id="workspace-extensions">

    <!-- dialog view -->
    <div class="vispa-dialogview" id="dialogview"></div>
    <!-- end dialog view -->

    <!-- left view -->
    <div class="vispa-left">
      left
    </div>
    <!-- end left view -->

    <div class="vispa-middle">

      <!-- top view -->
      <div class="vispa-top">
        top
      </div>
      <!-- end top view -->

      <!-- center view -->
      <div class="vispa-center">
      </div>
      <!-- end center view -->

      <!-- bottom view -->
      <div class="vispa-bottom">
        bottom
      </div>
      <!-- end bottom view -->

    </div>

    <!-- right view -->
    <div class="vispa-right">
      right
    </div>
    <!-- end right view -->

  </div>

</div>
